In order for your submission "Mapping Author Emails (back from RTD)" to Journal of Veterinary Science to proceed to the review process, there needs to be a revision.
  </br></br>
  Reason & Details: "Please consider re-writing the abstract to make it clear what the goal of the research is."
  </br></br>
  For more information about what is required, please click the link below.